package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ManagedSystem {
    private String schemaVersion;
    private Metadata metadata;
    private String activatedLevel;
    private AssociatedIPLConfiguration associatedIPLConfiguration;
    private AssociatedLogicalPartitions associatedLogicalPartitions;
    private AssociatedSystemCapabilities associatedSystemCapabilities;
    private AssociatedSystemIOConfiguration associatedSystemIOConfiguration;
    private AssociatedSystemMemoryConfiguration associatedSystemMemoryConfiguration;
    private AssociatedSystemProcessorConfiguration associatedSystemProcessorConfiguration;
    private AssociatedVirtualIOServers associatedVirtualIOServers;
    private MachineTypeModelAndSerialNumber machineTypeModelAndSerialNumber;
    private String manufacturingDefaultConfigurationEnabled;
    private String maximumPartitions;
    private String maximumPowerControlPartitions;
    private String maximumRemoteRestartPartitions;
    private String maximumSharedProcessorCapablePartitionID;
    private String maximumSuspendablePartitions;
    private String physicalSystemAttentionLEDState;
    private String primaryIPAddress;
    private Hostname hostname;
    private ServiceProcessorFailoverEnabled serviceProcessorFailoverEnabled;
    private ServiceProcessorFailoverReason serviceProcessorFailoverReason;
    private ServiceProcessorFailoverState serviceProcessorFailoverState;
    private String serviceProcessorVersion;
    private String state;
    private String systemName;
    private String systemTime;
    private String virtualSystemAttentionLEDState;
    private SystemMigrationInformation systemMigrationInformation;
    private ServicePartition servicePartition;
    private String referenceCode;
    private MergedReferenceCode mergedReferenceCode;
    private SystemFirmware systemFirmware;
    private CapacityOnDemandProperties capacityOnDemandProperties;
    private EnergyManagementConfiguration energyManagementConfiguration;
    private IsPowerVMManagementMaster isPowerVMManagementMaster;
    private IsClassicHMCManagement isClassicHMCManagement;
    private IsPowerVMManagementWithoutMaster isPowerVMManagementWithoutMaster;
    private IsManagementPartitionPowerVMManagementMaster isManagementPartitionPowerVMManagementMaster;
    private IsHMCPowerVMManagementMaster isHMCPowerVMManagementMaster;
    private com.bocloud.cmp.model.hmc.sdk.module.isNotPowerVMManagementMaster isNotPowerVMManagementMaster;
    private IsPowerVMManagementNormalMaster isPowerVMManagementNormalMaster;
    private IsPowerVMManagementPersistentMaster isPowerVMManagementPersistentMaster;
    private IsPowerVMManagementTemporaryMaster isPowerVMManagementTemporaryMaster;
    private IsPowerVMManagementPartitionEnabled isPowerVMManagementPartitionEnabled;
    private Description description;
    private SystemLocation systemLocation;

    public ManagedSystem() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getActivatedLevel() {
        return activatedLevel;
    }

    public void setActivatedLevel(String activatedLevel) {
        this.activatedLevel = activatedLevel;
    }

    public AssociatedIPLConfiguration getAssociatedIPLConfiguration() {
        return associatedIPLConfiguration;
    }

    public void setAssociatedIPLConfiguration(AssociatedIPLConfiguration associatedIPLConfiguration) {
        this.associatedIPLConfiguration = associatedIPLConfiguration;
    }

    public AssociatedLogicalPartitions getAssociatedLogicalPartitions() {
        return associatedLogicalPartitions;
    }

    public void setAssociatedLogicalPartitions(AssociatedLogicalPartitions associatedLogicalPartitions) {
        this.associatedLogicalPartitions = associatedLogicalPartitions;
    }

    public AssociatedSystemCapabilities getAssociatedSystemCapabilities() {
        return associatedSystemCapabilities;
    }

    public void setAssociatedSystemCapabilities(AssociatedSystemCapabilities associatedSystemCapabilities) {
        this.associatedSystemCapabilities = associatedSystemCapabilities;
    }

    public AssociatedSystemIOConfiguration getAssociatedSystemIOConfiguration() {
        return associatedSystemIOConfiguration;
    }

    public void setAssociatedSystemIOConfiguration(AssociatedSystemIOConfiguration associatedSystemIOConfiguration) {
        this.associatedSystemIOConfiguration = associatedSystemIOConfiguration;
    }

    public AssociatedSystemMemoryConfiguration getAssociatedSystemMemoryConfiguration() {
        return associatedSystemMemoryConfiguration;
    }

    public void setAssociatedSystemMemoryConfiguration(
        AssociatedSystemMemoryConfiguration associatedSystemMemoryConfiguration) {
        this.associatedSystemMemoryConfiguration = associatedSystemMemoryConfiguration;
    }

    public AssociatedSystemProcessorConfiguration getAssociatedSystemProcessorConfiguration() {
        return associatedSystemProcessorConfiguration;
    }

    public void setAssociatedSystemProcessorConfiguration(
        AssociatedSystemProcessorConfiguration associatedSystemProcessorConfiguration) {
        this.associatedSystemProcessorConfiguration = associatedSystemProcessorConfiguration;
    }

    public AssociatedVirtualIOServers getAssociatedVirtualIOServers() {
        return associatedVirtualIOServers;
    }

    public void setAssociatedVirtualIOServers(AssociatedVirtualIOServers associatedVirtualIOServers) {
        this.associatedVirtualIOServers = associatedVirtualIOServers;
    }

    public MachineTypeModelAndSerialNumber getMachineTypeModelAndSerialNumber() {
        return machineTypeModelAndSerialNumber;
    }

    public void setMachineTypeModelAndSerialNumber(MachineTypeModelAndSerialNumber machineTypeModelAndSerialNumber) {
        this.machineTypeModelAndSerialNumber = machineTypeModelAndSerialNumber;
    }

    public String getManufacturingDefaultConfigurationEnabled() {
        return manufacturingDefaultConfigurationEnabled;
    }

    public void setManufacturingDefaultConfigurationEnabled(String manufacturingDefaultConfigurationEnabled) {
        this.manufacturingDefaultConfigurationEnabled = manufacturingDefaultConfigurationEnabled;
    }

    public String getMaximumPartitions() {
        return maximumPartitions;
    }

    public void setMaximumPartitions(String maximumPartitions) {
        this.maximumPartitions = maximumPartitions;
    }

    public String getMaximumPowerControlPartitions() {
        return maximumPowerControlPartitions;
    }

    public void setMaximumPowerControlPartitions(String maximumPowerControlPartitions) {
        this.maximumPowerControlPartitions = maximumPowerControlPartitions;
    }

    public String getMaximumRemoteRestartPartitions() {
        return maximumRemoteRestartPartitions;
    }

    public void setMaximumRemoteRestartPartitions(String maximumRemoteRestartPartitions) {
        this.maximumRemoteRestartPartitions = maximumRemoteRestartPartitions;
    }

    public String getMaximumSharedProcessorCapablePartitionID() {
        return maximumSharedProcessorCapablePartitionID;
    }

    public void setMaximumSharedProcessorCapablePartitionID(String maximumSharedProcessorCapablePartitionID) {
        this.maximumSharedProcessorCapablePartitionID = maximumSharedProcessorCapablePartitionID;
    }

    public String getMaximumSuspendablePartitions() {
        return maximumSuspendablePartitions;
    }

    public void setMaximumSuspendablePartitions(String maximumSuspendablePartitions) {
        this.maximumSuspendablePartitions = maximumSuspendablePartitions;
    }

    public String getPhysicalSystemAttentionLEDState() {
        return physicalSystemAttentionLEDState;
    }

    public void setPhysicalSystemAttentionLEDState(String physicalSystemAttentionLEDState) {
        this.physicalSystemAttentionLEDState = physicalSystemAttentionLEDState;
    }

    public String getPrimaryIPAddress() {
        return primaryIPAddress;
    }

    public void setPrimaryIPAddress(String primaryIPAddress) {
        this.primaryIPAddress = primaryIPAddress;
    }

    public Hostname getHostname() {
        return hostname;
    }

    public void setHostname(Hostname hostname) {
        this.hostname = hostname;
    }

    public ServiceProcessorFailoverEnabled getServiceProcessorFailoverEnabled() {
        return serviceProcessorFailoverEnabled;
    }

    public void setServiceProcessorFailoverEnabled(ServiceProcessorFailoverEnabled serviceProcessorFailoverEnabled) {
        this.serviceProcessorFailoverEnabled = serviceProcessorFailoverEnabled;
    }

    public ServiceProcessorFailoverReason getServiceProcessorFailoverReason() {
        return serviceProcessorFailoverReason;
    }

    public void setServiceProcessorFailoverReason(ServiceProcessorFailoverReason serviceProcessorFailoverReason) {
        this.serviceProcessorFailoverReason = serviceProcessorFailoverReason;
    }

    public ServiceProcessorFailoverState getServiceProcessorFailoverState() {
        return serviceProcessorFailoverState;
    }

    public void setServiceProcessorFailoverState(ServiceProcessorFailoverState serviceProcessorFailoverState) {
        this.serviceProcessorFailoverState = serviceProcessorFailoverState;
    }

    public String getServiceProcessorVersion() {
        return serviceProcessorVersion;
    }

    public void setServiceProcessorVersion(String serviceProcessorVersion) {
        this.serviceProcessorVersion = serviceProcessorVersion;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public String getSystemTime() {
        return systemTime;
    }

    public void setSystemTime(String systemTime) {
        this.systemTime = systemTime;
    }

    public String getVirtualSystemAttentionLEDState() {
        return virtualSystemAttentionLEDState;
    }

    public void setVirtualSystemAttentionLEDState(String virtualSystemAttentionLEDState) {
        this.virtualSystemAttentionLEDState = virtualSystemAttentionLEDState;
    }

    public SystemMigrationInformation getSystemMigrationInformation() {
        return systemMigrationInformation;
    }

    public void setSystemMigrationInformation(SystemMigrationInformation systemMigrationInformation) {
        this.systemMigrationInformation = systemMigrationInformation;
    }

    public String getReferenceCode() {
        return referenceCode;
    }

    public void setReferenceCode(String referenceCode) {
        this.referenceCode = referenceCode;
    }

    public MergedReferenceCode getMergedReferenceCode() {
        return mergedReferenceCode;
    }

    public void setMergedReferenceCode(MergedReferenceCode mergedReferenceCode) {
        this.mergedReferenceCode = mergedReferenceCode;
    }

    public SystemFirmware getSystemFirmware() {
        return systemFirmware;
    }

    public void setSystemFirmware(SystemFirmware systemFirmware) {
        this.systemFirmware = systemFirmware;
    }

    public CapacityOnDemandProperties getCapacityOnDemandProperties() {
        return capacityOnDemandProperties;
    }

    public void setCapacityOnDemandProperties(CapacityOnDemandProperties capacityOnDemandProperties) {
        this.capacityOnDemandProperties = capacityOnDemandProperties;
    }

    public EnergyManagementConfiguration getEnergyManagementConfiguration() {
        return energyManagementConfiguration;
    }

    public void setEnergyManagementConfiguration(EnergyManagementConfiguration energyManagementConfiguration) {
        this.energyManagementConfiguration = energyManagementConfiguration;
    }

    public IsPowerVMManagementMaster getIsPowerVMManagementMaster() {
        return isPowerVMManagementMaster;
    }

    public void setIsPowerVMManagementMaster(IsPowerVMManagementMaster isPowerVMManagementMaster) {
        this.isPowerVMManagementMaster = isPowerVMManagementMaster;
    }

    public IsClassicHMCManagement getIsClassicHMCManagement() {
        return isClassicHMCManagement;
    }

    public void setIsClassicHMCManagement(IsClassicHMCManagement isClassicHMCManagement) {
        this.isClassicHMCManagement = isClassicHMCManagement;
    }

    public IsPowerVMManagementWithoutMaster getIsPowerVMManagementWithoutMaster() {
        return isPowerVMManagementWithoutMaster;
    }

    public void setIsPowerVMManagementWithoutMaster(IsPowerVMManagementWithoutMaster isPowerVMManagementWithoutMaster) {
        this.isPowerVMManagementWithoutMaster = isPowerVMManagementWithoutMaster;
    }

    public IsManagementPartitionPowerVMManagementMaster getIsManagementPartitionPowerVMManagementMaster() {
        return isManagementPartitionPowerVMManagementMaster;
    }

    public void setIsManagementPartitionPowerVMManagementMaster(IsManagementPartitionPowerVMManagementMaster isManagementPartitionPowerVMManagementMaster) {
        this.isManagementPartitionPowerVMManagementMaster = isManagementPartitionPowerVMManagementMaster;
    }

    public IsHMCPowerVMManagementMaster getIsHMCPowerVMManagementMaster() {
        return isHMCPowerVMManagementMaster;
    }

    public void setIsHMCPowerVMManagementMaster(IsHMCPowerVMManagementMaster isHMCPowerVMManagementMaster) {
        this.isHMCPowerVMManagementMaster = isHMCPowerVMManagementMaster;
    }

    public com.bocloud.cmp.model.hmc.sdk.module.isNotPowerVMManagementMaster getIsNotPowerVMManagementMaster() {
        return isNotPowerVMManagementMaster;
    }

    public void setIsNotPowerVMManagementMaster(com.bocloud.cmp.model.hmc.sdk.module.isNotPowerVMManagementMaster isNotPowerVMManagementMaster) {
        this.isNotPowerVMManagementMaster = isNotPowerVMManagementMaster;
    }

    public IsPowerVMManagementNormalMaster getIsPowerVMManagementNormalMaster() {
        return isPowerVMManagementNormalMaster;
    }

    public void setIsPowerVMManagementNormalMaster(IsPowerVMManagementNormalMaster isPowerVMManagementNormalMaster) {
        this.isPowerVMManagementNormalMaster = isPowerVMManagementNormalMaster;
    }

    public IsPowerVMManagementPersistentMaster getIsPowerVMManagementPersistentMaster() {
        return isPowerVMManagementPersistentMaster;
    }

    public void setIsPowerVMManagementPersistentMaster(IsPowerVMManagementPersistentMaster isPowerVMManagementPersistentMaster) {
        this.isPowerVMManagementPersistentMaster = isPowerVMManagementPersistentMaster;
    }

    public IsPowerVMManagementTemporaryMaster getIsPowerVMManagementTemporaryMaster() {
        return isPowerVMManagementTemporaryMaster;
    }

    public void setIsPowerVMManagementTemporaryMaster(IsPowerVMManagementTemporaryMaster isPowerVMManagementTemporaryMaster) {
        this.isPowerVMManagementTemporaryMaster = isPowerVMManagementTemporaryMaster;
    }

    public IsPowerVMManagementPartitionEnabled getIsPowerVMManagementPartitionEnabled() {
        return isPowerVMManagementPartitionEnabled;
    }

    public void setIsPowerVMManagementPartitionEnabled(IsPowerVMManagementPartitionEnabled isPowerVMManagementPartitionEnabled) {
        this.isPowerVMManagementPartitionEnabled = isPowerVMManagementPartitionEnabled;
    }

    public Description getDescription() {
        return description;
    }

    public void setDescription(Description description) {
        this.description = description;
    }

    public SystemLocation getSystemLocation() {
        return systemLocation;
    }

    public void setSystemLocation(SystemLocation systemLocation) {
        this.systemLocation = systemLocation;
    }

    public ServicePartition getServicePartition() {
        return servicePartition;
    }

    public void setServicePartition(ServicePartition servicePartition) {
        this.servicePartition = servicePartition;
    }

    @Override
    public String toString() {
        return "ManagedSystem [metadata=" + metadata + ", activatedLevel=" + activatedLevel
            + ", associatedIPLConfiguration=" + associatedIPLConfiguration + ", associatedLogicalPartitions="
            + associatedLogicalPartitions + ", associatedSystemCapabilities=" + associatedSystemCapabilities
            + ", associatedSystemIOConfiguration=" + associatedSystemIOConfiguration
            + ", associatedSystemMemoryConfiguration=" + associatedSystemMemoryConfiguration
            + ", associatedSystemProcessorConfiguration=" + associatedSystemProcessorConfiguration
            + ", associatedVirtualIOServers=" + associatedVirtualIOServers + ", machineTypeModelAndSerialNumber="
            + machineTypeModelAndSerialNumber + ", manufacturingDefaultConfigurationEnabled="
            + manufacturingDefaultConfigurationEnabled + ", maximumPartitions=" + maximumPartitions
            + ", maximumPowerControlPartitions=" + maximumPowerControlPartitions
            + ", maximumRemoteRestartPartitions=" + maximumRemoteRestartPartitions
            + ", maximumSharedProcessorCapablePartitionID=" + maximumSharedProcessorCapablePartitionID
            + ", maximumSuspendablePartitions=" + maximumSuspendablePartitions
            + ", physicalSystemAttentionLEDState=" + physicalSystemAttentionLEDState + ", primaryIPAddress="
            + primaryIPAddress + ", hostname=" + hostname + ", serviceProcessorFailoverEnabled="
            + serviceProcessorFailoverEnabled + ", serviceProcessorFailoverReason=" + serviceProcessorFailoverReason
            + ", serviceProcessorFailoverState=" + serviceProcessorFailoverState + ", serviceProcessorVersion="
            + serviceProcessorVersion + ", state=" + state + ", systemName=" + systemName + ", systemTime="
            + systemTime + ", virtualSystemAttentionLEDState=" + virtualSystemAttentionLEDState
            + ", systemMigrationInformation=" + systemMigrationInformation + ", referenceCode=" + referenceCode
            + ", mergedReferenceCode=" + mergedReferenceCode + ", systemFirmware=" + systemFirmware
            + ", capacityOnDemandProperties=" + capacityOnDemandProperties + "]";
    }
}
